## nvidia-settings 515.86.01

=== debian/changelog ===
nvidia-settings (515.86.01-1) unstable; urgency=medium

  * New upstream release 515.86.01.
    - Fixed a bug that caused nvidia-settings to find incorrect fan speed
      ranges on some GPUs.  Lower-level layers of the driver protected
      the hardware from programming incorrect fan speeds, so the symptom
      was only incorrect reporting.  Now, reporting in nvidia-settings
      matches what actually gets programmed in hardware.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 Jan 2023 03:17:12 +0100

nvidia-settings (515.76-1) experimental; urgency=medium

  * New upstream release 515.76.
  * Refresh patches.
  * Build and ship the Wayland variant in addition to GTK+ 3.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Oct 2022 14:15:22 +0200
