=== debian/rules ===
--- 
+++ 
@@ -71,6 +71,9 @@
 	install -m 0644 doc/nvidia-settings.png debian/tmp/usr/share/icons/hicolor/128x128/apps/nvidia-settings$(-variant).png
 endif
 
+override_dh_auto_clean:
+	dh_auto_clean -- BUILD_GTK3LIB=1
+
 execute_after_dh_auto_clean:
 	$(MAKE) -C samples clean
 	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
@@ -82,6 +85,10 @@
 		-V'nvidia=$(nvidia)' \
 		-V'nvidia:VariantDesc=$(variant_description)' \
 		-V'nvidia:Version=$(NVIDIA_RELEASE)'
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 # used by dpkg-genchanges
 debian/substvars:
@@ -97,10 +104,6 @@
 		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
 		< $< > $@
 
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 # Renaming control files for variant packaging
 ifneq (,$(variant))
 nvidia-settings$(-variant).%: nvidia-settings.%
