## nvidia-settings 525.147.05

=== debian/changelog ===
nvidia-settings (525.147.05-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Feb 2024 00:39:29 +0100

nvidia-settings (525.147.05-1) unstable; urgency=medium

  * New upstream release 525.147.05.
  * Build for ppc64el.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Jan 2024 19:29:45 +0100

nvidia-settings (525.125.06-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 11:01:23 +0200

nvidia-settings (525.125.06-1) unstable; urgency=medium

  * New upstream release 525.125.06.
  * New upstream release 525.105.17.
    - Fixed a bug that could cause the nvidia-settings control panel to
      crash when resetting the display layout.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Jul 2023 23:27:45 +0200

nvidia-settings (525.85.05-2) experimental; urgency=medium

  * Move source package back to contrib.
  * libxnvctrl0, libxnvctrl-dev are now built by src:libxnvctrl.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Apr 2023 22:28:02 +0200
