## nvidia-settings 535.216.01

=== debian/changelog ===
nvidia-settings (535.216.01-1) unstable; urgency=medium

  * New upstream release 535.216.01.
  * Bump Standards-Version to 4.7.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Oct 2024 23:22:45 +0100
