## nvidia-settings 535.230.02

=== debian/changelog ===
nvidia-settings (535.230.02-1) unstable; urgency=medium

  * New upstream release 535.230.02.
  * Bump Standards-Version to 4.7.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Feb 2025 01:16:57 +0100
