## nvidia-settings 535.247.01

=== debian/changelog ===
nvidia-settings (535.247.01-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 May 2025 22:00:48 +0200

nvidia-settings (535.247.01-1) unstable; urgency=medium

  * New upstream release 535.247.01.
  * Relax the nvidia-alternative dependency on ppc64el.
  * Bump Standards-Version to 4.7.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 May 2025 00:03:29 +0200
