=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Build-Conflicts:
  libxnvctrl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git
@@ -30,12 +30,14 @@
 Pre-Depends:
  nvidia-installer-cleanup,
 Depends:
- , ${nvidia}-alternative
+ , ${nvidia}-alternative [!ppc64el]
  , ${shlibs:Depends}, ${misc:Depends}
 Recommends:
  , libgl1-${nvidia}-glvnd-glx
  , ${nvidia}-vdpau-driver
  , lib${nvidia}-ml1
+Suggests:
+ , ${nvidia}-alternative [ppc64el]
 Provides:
  nvidia-settings-gtk-${nvidia:Version},
 Conflicts:
