=== debian/changelog ===
nvidia-settings (550.163.01-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Jun 2025 13:57:20 -0700

nvidia-settings (550.163.01-1) unstable; urgency=medium

  * New upstream release 550.163.01.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 May 2025 09:51:18 +0200

nvidia-settings (545.29.06-1) unstable; urgency=medium

  * New upstream release 545.29.06.
  * Stop building for ppc64el.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 May 2025 21:45:45 +0200
